# SPDX-License-Identifier: GPL-2.0-only
%YAML 1.2
---
$id: http://devicetree.org/schemas/pci/cdns,cdns-pcie-ep.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Cadence PCIe EP Controller

maintainers:
  - Tom Joseph <tjoseph@cadence.com>

allOf:
  - $ref: "cdns-pcie-ep.yaml#"
  - $ref: "pci-ep.yaml#"

properties:
  compatible:
    const: cdns,cdns-pcie-ep

  reg:
    maxItems: 2

  reg-names:
    items:
      - const: reg
      - const: mem

required:
  - reg
  - reg-names

unevaluatedProperties: false

examples:
  - |
    bus {
        #address-cells = <2>;
        #size-cells = <2>;

        pcie-ep@fc000000 {
                compatible = "cdns,cdns-pcie-ep";
                reg = <0x0 0xfc000000 0x0 0x01000000>,
                      <0x0 0x80000000 0x0 0x40000000>;
                reg-names = "reg", "mem";
                cdns,max-outbound-regions = <16>;
                max-functions = /bits/ 8 <8>;
                phys = <&pcie_phy0>;
                phy-names = "pcie-phy";
        };
    };
...
